[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[commits] r6773 - in /fsf/trunk/libc: ChangeLog Makeconfig Makefile config.make.in configure configure.in elf/Makefile
- To: commits@xxxxxxxxxx
- Subject: [commits] r6773 - in /fsf/trunk/libc: ChangeLog Makeconfig Makefile config.make.in configure configure.in elf/Makefile
- From: eglibc@xxxxxxxxxx
- Date: Tue, 19 Aug 2008 07:04:40 -0000
Author: eglibc
Date: Tue Aug 19 00:04:38 2008
New Revision: 6773
Log:
Import glibc-mainline for 2008-08-19
Modified:
fsf/trunk/libc/ChangeLog
fsf/trunk/libc/Makeconfig
fsf/trunk/libc/Makefile
fsf/trunk/libc/config.make.in
fsf/trunk/libc/configure
fsf/trunk/libc/configure.in
fsf/trunk/libc/elf/Makefile
Modified: fsf/trunk/libc/ChangeLog
==============================================================================
--- fsf/trunk/libc/ChangeLog (original)
+++ fsf/trunk/libc/ChangeLog Tue Aug 19 00:04:38 2008
@@ -1,3 +1,16 @@
+2008-07-18 Daniel Jacobowitz <dan@xxxxxxxxxxxxxxxx>
+
+ * Makefile (check-data): Check data directory in add-ons.
+ * elf/Makefile (check-data): Likewise.
+
+2008-08-18 Roland McGrath <roland@xxxxxxxxxx>
+
+ * configure.in (--with-cpu): Check compiler support for -march/-mcpu.
+ * configure: Regenerated.
+ * config.make.in (cflags-cpu): New substituted variable.
+ (with-cpu): Variable removed.
+ * Makeconfig (+cflags): Use $(cflags-cpu), not $(with-cpu).
+
2008-08-14 Ryan S. Arnold <rsa@xxxxxxxxxx>
[BZ #6845]
Modified: fsf/trunk/libc/Makeconfig
==============================================================================
--- fsf/trunk/libc/Makeconfig (original)
+++ fsf/trunk/libc/Makeconfig Tue Aug 19 00:04:38 2008
@@ -643,7 +643,7 @@
+cflags := $(default_cflags)
endif # $(+cflags) == ""
-+cflags += $(addprefix -mcpu=,$(with-cpu)) $(+gccwarn) $(+merge-constants)
++cflags += $(cflags-cpu) $(+gccwarn) $(+merge-constants)
+gcc-nowarn := -w
# Don't duplicate options if we inherited variables from the parent.
Modified: fsf/trunk/libc/Makefile
==============================================================================
--- fsf/trunk/libc/Makefile (original)
+++ fsf/trunk/libc/Makefile Tue Aug 19 00:04:38 2008
@@ -247,8 +247,8 @@
tests: $(objpfx)c++-types-check.out $(objpfx)check-local-headers.out
ifneq ($(CXX),no)
check-data := $(firstword $(wildcard \
- $(foreach D,$(add-ons) scripts/data,\
- $(patsubst %,$D/c++-types-%.data,\
+ $(foreach D,$(add-ons) scripts,\
+ $(patsubst %,$D/data/c++-types-%.data,\
$(abi-name) \
$(addsuffix -$(config-os),\
$(config-machine) \
Modified: fsf/trunk/libc/config.make.in
==============================================================================
--- fsf/trunk/libc/config.make.in (original)
+++ fsf/trunk/libc/config.make.in Tue Aug 19 00:04:38 2008
@@ -31,7 +31,7 @@
config-vendor = @host_vendor@
config-os = @host_os@
config-sysdirs = @sysnames@
-with-cpu = @submachine@
+cflags-cpu = @libc_cv_cc_submachine@
defines = @DEFINES@
sysincludes = @SYSINCLUDES@
Modified: fsf/trunk/libc/configure
==============================================================================
--- fsf/trunk/libc/configure (original)
+++ fsf/trunk/libc/configure Tue Aug 19 00:04:38 2008
@@ -730,6 +730,7 @@
libc_cv_have_initfini
no_whole_archive
exceptions
+libc_cv_cc_submachine
LIBGD
have_libaudit
have_libcap
@@ -2327,7 +2328,6 @@
esac
fi
-
# An add-on can set this when it wants to disable the sanity check below.
@@ -7096,6 +7096,35 @@
fi
fi
+
+if test -n "$submachine"; then
+ { echo "$as_me:$LINENO: checking for compiler option for CPU variant" >&5
+echo $ECHO_N "checking for compiler option for CPU variant... $ECHO_C" >&6; }
+if test "${libc_cv_cc_submachine+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ libc_cv_cc_submachine=no
+ for opt in "-march=$submachine" "-mcpu=$submachine"; do
+ if { ac_try='${CC-cc} $opt -xc /dev/null -S -o /dev/null'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ libc_cv_cc_submachine="$opt"
+ break
+ fi
+ done
+fi
+{ echo "$as_me:$LINENO: result: $libc_cv_cc_submachine" >&5
+echo "${ECHO_T}$libc_cv_cc_submachine" >&6; }
+ if test "x$libc_cv_cc_submachine" = xno; then
+ { { echo "$as_me:$LINENO: error: ${CC-cc} does not support $submachine" >&5
+echo "$as_me: error: ${CC-cc} does not support $submachine" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+fi
+
{ echo "$as_me:$LINENO: checking for libgd" >&5
echo $ECHO_N "checking for libgd... $ECHO_C" >&6; }
@@ -9264,6 +9293,7 @@
libc_cv_have_initfini!$libc_cv_have_initfini$ac_delim
no_whole_archive!$no_whole_archive$ac_delim
exceptions!$exceptions$ac_delim
+libc_cv_cc_submachine!$libc_cv_cc_submachine$ac_delim
LIBGD!$LIBGD$ac_delim
have_libaudit!$have_libaudit$ac_delim
have_libcap!$have_libcap$ac_delim
@@ -9301,7 +9331,7 @@
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 52; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 53; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
Modified: fsf/trunk/libc/configure.in
==============================================================================
--- fsf/trunk/libc/configure.in (original)
+++ fsf/trunk/libc/configure.in Tue Aug 19 00:04:38 2008
@@ -325,7 +325,6 @@
*) submachine="$withval" ;;
esac
])
-
# An add-on can set this when it wants to disable the sanity check below.
libc_config_ok=no
@@ -1973,6 +1972,22 @@
fi
fi
+if test -n "$submachine"; then
+ AC_CACHE_CHECK([for compiler option for CPU variant],
+ libc_cv_cc_submachine, [dnl
+ libc_cv_cc_submachine=no
+ for opt in "-march=$submachine" "-mcpu=$submachine"; do
+ if AC_TRY_COMMAND([${CC-cc} $opt -xc /dev/null -S -o /dev/null]); then
+ libc_cv_cc_submachine="$opt"
+ break
+ fi
+ done])
+ if test "x$libc_cv_cc_submachine" = xno; then
+ AC_MSG_ERROR([${CC-cc} does not support $submachine])
+ fi
+fi
+AC_SUBST(libc_cv_cc_submachine)
+
dnl Check whether we have the gd library available.
AC_MSG_CHECKING(for libgd)
if test "$with_gd" != "no"; then
Modified: fsf/trunk/libc/elf/Makefile
==============================================================================
--- fsf/trunk/libc/elf/Makefile (original)
+++ fsf/trunk/libc/elf/Makefile Tue Aug 19 00:04:38 2008
@@ -841,8 +841,8 @@
$(objpfx)tst-dlmodcount.out: $(test-modules)
check-data := $(firstword $(wildcard \
- $(foreach D,$(add-ons) scripts/data,\
- $(patsubst %,$(..)$D/localplt-%.data,\
+ $(foreach D,$(add-ons) scripts,\
+ $(patsubst %,$(..)$D/data/localplt-%.data,\
$(abi-name) \
$(addsuffix -$(config-os),\
$(config-machine) \